%global theme_name     Greybird

Name:           greybird
Version:        1.5.3
Release:        2%{?dist}
Summary:        A clean minimalistic theme for Xfce, GTK+ 2 and 3

License:        GPLv2+ or CC-BY-SA
URL:            http://shimmerproject.org/project/%{name}/ 
Source0:        https://github.com/shimmerproject/%{theme_name}/archive/v%{version}.tar.gz

BuildArch:      noarch      

%description
Greybird is a theme for GTK2/3 and xfwm4/metacity started out on the basis of
Bluebird, but aims at reworking the intense blue tone to a more neutral
grey-ish look that will be more pleasant to look at in everyday use.


%package gtk2-theme
Summary:        Greybird GTK+2 themes
Requires:       gtk-murrine-engine >= 0.98.1.1 gtk2-engines

%description gtk2-theme
Themes for GTK+2 as part of the Greybird theme.


%package gtk3-theme
Summary:        Greybird GTK+3 themes

%description gtk3-theme
Themes for GTK+3 as part of the Greybird theme.


%package metacity-theme
Summary:        Greybird Metacity themes
Requires:       metacity

%description metacity-theme
Themes for Metacity as part of the Greybird theme.


%package xfwm4-theme
Summary:        Greybird Xfwm4 themes
Requires:       xfwm4

%description xfwm4-theme
Themes for Xfwm4 as part of the Greybird theme.

%package xfce4-notifyd-theme
Summary:        Greybird Xfce4 notifyd theme
Requires:       xfce4-notifyd

%description xfce4-notifyd-theme
Themes for Xfce4 notifyd as part of the Greybird theme.

%prep

%setup -q -n %{theme_name}-%{version}

# Cleanup
# Remove Unity theme
rm -f gtk-3.0/apps/unity.css
rm -f gtk-3.0/apps/lightdm-unity-greeter.css

sed -i '/unity\.css/d' gtk-3.0/gtk.css
sed -i '/lightdm-unity-greeter\.css/d' gtk-3.0/gtk.css
#sed -i '/lightdm-gtk-greeter\.css/d' gtk-3.0/gtk.css

%build
# Nothing to build

%install
mkdir -p -m755 %{buildroot}%{_datadir}/themes/%{theme_name}
cp -pr gtk-2.0/ gtk-3.0/ metacity-1/ xfwm4/ xfwm4_compact/ xfce-notify-4.0/ %{buildroot}%{_datadir}/themes/%{theme_name}


%files gtk2-theme
%doc LICENSE.GPL LICENSE.CC README
%dir %{_datadir}/themes/Greybird/
%{_datadir}/themes/%{theme_name}/gtk-2.0/


%files gtk3-theme
%doc LICENSE.GPL LICENSE.CC README
%dir %{_datadir}/themes/Greybird/
%{_datadir}/themes/%{theme_name}/gtk-3.0/


%files metacity-theme
%doc LICENSE.GPL LICENSE.CC README
%dir %{_datadir}/themes/Greybird/
%{_datadir}/themes/%{theme_name}/metacity-1/


%files xfwm4-theme
%doc LICENSE.GPL LICENSE.CC README
%dir %{_datadir}/themes/Greybird/
%{_datadir}/themes/%{theme_name}/xfwm4/
%{_datadir}/themes/%{theme_name}/xfwm4_compact/


%files xfce4-notifyd-theme
%doc LICENSE.GPL LICENSE.CC README
%dir %{_datadir}/themes/Greybird/
%{_datadir}/themes/%{theme_name}/xfce-notify-4.0/

%changelog
* Sat Feb 21 2015 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1.5.3-2
- re-enabled GTK-3 lightdm greeter theme

* Wed Feb 18 2015 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1.5.3-1
- Update to 1.5.3

* Wed Feb 11 2015 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1.5.2-1
- Update to 1.5.2

* Sat Jan 17 2015 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1.5.1-1
- Update to 1.5.1

* Sat Jan 10 2015 Kevin Fenzi <kevin@scrye.com> 1.5-1
- Update to 1.5, drop upstreamed patches

* Thu Nov 06 2014 poma <poma@gmail.com> 1.4-3
- Upstream fix for checkboxes and radios in gtk3.14
- The "shadow" is re-enabled, the full size of the app menu in the system tray
  is resolved upstream - gtkmenu: fix unnecessary scroll buttons gtk-3-14
  https://git.gnome.org/browse/gtk+/commit/?h=gtk-3-14&id=695ff38
- The same applies to the Shimmer Project Desktop Suites for Xfce as a whole, 
  i.e. Greybird, Bluebird and Albatross.
- With these two corrections bugs #1114161, #1139190 and #1139187 
  are solved completely.

* Fri Oct 03 2014 Kevin Fenzi <kevin@scrye.com> 1.4-2
- Add patch to fix gtk3 issues. Thanks poma
- Fixes bug #1114161

* Sun Aug 03 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1.4-1
- Updated to 1.4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 30 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1.3.4-1
- Update to upstream release 1.3.4

* Tue Mar 18 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1.3.3-1
- Updated to 1.3.3

* Fri Mar 14 2014 Luis Bazan <lbazan@fedoraproject.org> - 1.3.2-1
- Update to 1.3.2

* Sun Feb 23 2014 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 1.3.1-1
- Updated to 1.3.1
- Fixed the source URL to directly download from github

* Wed Sep 18 2013  Athmane Madjoudj <athmane@fedoraproject.org> 1.2.2-1
- Update to 1.2.2

* Thu Aug 08 2013  Athmane Madjoudj <athmane@fedoraproject.org> 1.2-1
- Update to 1.2
- Use sed to remove unity deps instead of a patch

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jan 24 2013 Athmane Madjoudj <athmane@fedoraproject.org> 1.0.8-1
- Update to 1.0.8

* Sun Nov 11 2012 Athmane Madjoudj <athmane@fedoraproject.org> 1.0.7-1
- Update to 1.0.7
- Cleanup the spec

* Wed Jul 25 2012 Athmane Madjoudj <athmane@fedoraproject.org> 0.9-1
- Update to the new release.
- Remove unico engine dep.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 02 2012 Athmane Madjoudj 0.8.2-4
- Remove unity import in gtk3 css.

* Tue May 22 2012 Athmane Madjoudj <athmane@fedoraproject.org> 0.8.2-3
- Fix version number since upstream tagged the last commit
- Add xfce4-notifyd-theme sub-package

* Mon May 21 2012 Athmane Madjoudj <athmane@fedoraproject.org> 0.8.1-2
- Spec cleanup
- Require gtk-unico-engine >= 1.0.2 to fix gtk3 theme

* Sun May 20 2012 Athmane Madjoudj <athmane@fedoraproject.org> 0.8.1-1
- Initial spec (based on Zukitwo theme)
